Retrieve the contents of the cache

- « CachingIterator::current

- CachingIterator::getFlags »

- PHP Manual
- CachingIterator
- Retrieve the contents of the cache

# CachingIterator::getCache

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

CachingIterator::getCache — Retrieve the contents of the cache

### Description

public CachingIterator::getCache(): array

Retrieve the contents of the cache.

> Note:

> The `CachingIterator::FULL_CACHE` flag must be being used.

### Parameters

This function has no parameters.

### Return Values

An array containing the cache items.

### Errors/Exceptions

Throws a BadMethodCallException when the `CachingIterator::FULL_CACHE` flag is not being used.

### Examples

Example #1 CachingIterator::getCache() example

    <?php
    $iterator = new ArrayIterator(array(1, 2, 3));
    $cache    = new CachingIterator($iterator, CachingIterator::FULL_CACHE);

    $cache->next();
    $cache->next();
    var_dump($cache->getCache());

    $cache->next();
    var_dump($cache->getCache());
    ?>

The above example will output:

    array(2) {
      [0]=>
      int(1)
      [1]=>
      int(2)
    }
    array(3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }